Vector::BLF::MostLightLock(3)

NAME
Vector::BLF::MostLightLock - MOST_LIGHTLOCK.

SYNOPSIS

#include <MostLightLock.h>

Inherits Vector::BLF::ObjectHeader.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
int16_t state {}
uint32_t reservedMostLightLock {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

MOST_LIGHTLOCK. This event refers to the optical or electrical modulated signal at the transceiver's Rx.

"Signal On" means that a modulated signal has been detected.

"Lock" means that the receiver PLL (Phase Locked Loop) was able to establish synchronization with the phase of the modulated signal (to "lock").

"Stable Lock" means that for a certain period of time no unlock occurred (see MOST specification).

In case of a series of unlocks, the time of the different unlocks are accumulated. If this accumulated time is greater than a certain threshold, it is called "Critical Unlock" (details see MOST specification).

Member Function Documentation

  uint32_t Vector::BLF::MostLightLock::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::MostLightLock::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::MostLightLock::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint16_t Vector::BLF::MostLightLock::channel {}

application channel Application channel

  uint32_t Vector::BLF::MostLightLock::reservedMostLightLock {}
reserved

  int16_t Vector::BLF::MostLightLock::state {}
Signal state:

•   0x01 – Signal On + Lock

•   0x02 – Signal Off (implies No Lock)

•   0x03 – Signal On + No Lock

•   0x10 – Stable Lock

•   0x20 – Critical Unlock

Author

Generated automatically by Doxygen for Vector BLF from the source code.